import { ChangeDetectorRef, EventEmitter, OnDestroy, OnInit } from "@angular/core";
import { StiModelService } from "../../../../services/model.service";
import { Subscription } from "rxjs";
import * as i0 from "@angular/core";
export declare class StiDropdownEditorComponent implements OnInit, OnDestroy {
    model: StiModelService;
    private cdr;
    value: any;
    options: any[];
    optionLabel?: any;
    optionValue?: any;
    editable?: boolean;
    valueChange: EventEmitter<any>;
    isInitialized: boolean;
    hideDropdownSubscription: Subscription;
    showDropdownList: boolean;
    constructor(model: StiModelService, cdr: ChangeDetectorRef);
    ngOnDestroy(): void;
    get currentPreviewIndex(): number;
    get label(): any;
    get valueName(): any;
    blur(): void;
    setContent(innerText: any): void;
    getLabel(): any;
    selectItem(index: any): void;
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<StiDropdownEditorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<StiDropdownEditorComponent, "sti-dropdown-editor", never, { "value": "value"; "options": "options"; "optionLabel": "optionLabel"; "optionValue": "optionValue"; "editable": "editable"; }, { "valueChange": "valueChange"; }, never, never, false, never>;
}
