import { OnDestroy, OnInit } from "@angular/core";
import { StiModelService } from "../../services/model.service";
import { StiButtonElement } from "../../elements/StiButtonElement";
import { StiTableElement } from "../../elements/StiTableElement";
import { HttpClient } from "@angular/common/http";
import { StiAddressElement } from "../../elements/StiAddressElement";
import { Subscription } from "rxjs";
import * as i0 from "@angular/core";
export declare class StiButtonComponent implements OnInit, OnDestroy {
    model: StiModelService;
    private httpClient;
    retryEvent: Subscription;
    element: StiButtonElement;
    isClone: boolean;
    constructor(model: StiModelService, httpClient: HttpClient);
    ngOnDestroy(): void;
    disableDrag(event: any): void;
    clickEvent(): void;
    get selected(): boolean;
    scrollToRequired(elem: any): void;
    createXml(): string;
    createFields(): string;
    formHasEmptyRequiredFields(): boolean;
    addAdditionsFormField(): string;
    addXmlField(elementInfo: any): string;
    encodeHTML(str: string): string;
    getXmlTableField(element: StiTableElement): string;
    addAttachedFiles(): string;
    getXmlAddressField(element: StiAddressElement): string;
    createAddressField(element: StiAddressElement): string;
    createTableFields(element: StiTableElement): string;
    getTableFieldValue(field: any, fieldIndex: any): {
        name: string;
        value: any;
    };
    getRowValue(rowIndex: any, columnIndex: any): {
        name: string;
        value: string;
    };
    getTableCellValue(column: any, columnIndex: number, cell: any, cellIndex: number): {
        name: string;
        value: any;
    };
    getValue(element: any): {
        name: any;
        value: any;
        values: any;
    };
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<StiButtonComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<StiButtonComponent, "sti-button-component", never, { "element": "element"; "isClone": "isClone"; }, {}, never, never, false, never>;
}
