import { OnInit } from "@angular/core";
import { StiModelService } from "../../../../../services/model.service";
import { StiEditorProperty } from "../../../../../services/objects";
import { StiHelperService } from "../../../../../services/sti-helper.service";
import { StiLocalizationService } from "../../../../../services/sti-localization.service";
import { StiThemeService } from "../../../../../services/theme.service";
import * as i0 from "@angular/core";
export declare class StiTableBorderEditorComponent implements OnInit {
    model: StiModelService;
    helper: StiHelperService;
    theme: StiThemeService;
    loc: StiLocalizationService;
    property: StiEditorProperty;
    state: boolean;
    object: any;
    properties: any[];
    constructor(model: StiModelService, helper: StiHelperService, theme: StiThemeService, loc: StiLocalizationService);
    ngOnInit(): void;
    getProperty(property: any): "border" | "gridLines" | "columnHeadersBorder" | "rowHeadersBorder";
    get content(): any;
    set content(value: any);
    static ɵfac: i0.ɵɵFactoryDeclaration<StiTableBorderEditorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<StiTableBorderEditorComponent, "sti-table-border-editor", never, { "property": "property"; "state": "state"; "object": "object"; }, {}, never, never, false, never>;
}
