import { EventEmitter, OnDestroy, OnInit } from "@angular/core";
import { Subscription } from "rxjs";
import { StiModelService } from "../../services/model.service";
import { StiDropdownService } from "./sti-dropdown-service";
import * as i0 from "@angular/core";
export declare class StiDropdownComponent implements OnInit, OnDestroy {
    dropdownService: StiDropdownService;
    model: StiModelService;
    id: any;
    options: any[];
    value: string | number;
    disabled: boolean;
    optionLabel: string;
    optionValue: string;
    isMinVersion: boolean;
    tooltip: any;
    valueChange: EventEmitter<any>;
    valueChangedSubscription: Subscription;
    constructor(dropdownService: StiDropdownService, model: StiModelService);
    ngOnDestroy(): void;
    ngOnInit(): void;
    getLabel(): any;
    showList(event: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<StiDropdownComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<StiDropdownComponent, "sti-dropdown-component", never, { "id": "id"; "options": "options"; "value": "value"; "disabled": "disabled"; "optionLabel": "optionLabel"; "optionValue": "optionValue"; "isMinVersion": "isMinVersion"; "tooltip": "tooltip"; }, { "valueChange": "valueChange"; }, never, never, false, never>;
}
